//============================================================================
// MapVoteCrashedMaps
//============================================================================
//
class MapVoteCrashedMaps extends Info config(MapVoteXM);
//
var() config string CrashedMap[30];

var bool bInitialized;

function PostBeginPlay ()
{
    Super.PostBeginPlay();

    if ( !bInitialized )
    {
       bInitialized = true;
       SaveConfig();
    }
}

function StoreCrashedMap(string MapName)
{
    local string sTemp;
    local int i;

    sTemp = GetAbsoluteDate()$" - ";

    for (i=0; i<30; i++)
    {
        if (CrashedMap[i] == "")
        {
            CrashedMap[i] = sTemp$MapName;
            break;
        }
    }
    if (i == 30)
    {
       for (i=0; i<29; i++)
       {
            CrashedMap[i] = CrashedMap[i+1];
       }
       CrashedMap[29] = sTemp$MapName;
    }
    SaveConfig();
}

function string GetAbsoluteDate()
{
	local string AbsoluteDate;

	AbsoluteDate = string(Level.Year);

	if (Level.Month < 10)
		AbsoluteDate = AbsoluteDate$"/0"$Level.Month;
	else
		AbsoluteDate = AbsoluteDate$"/"$Level.Month;

	if (Level.Day < 10)
		AbsoluteDate = AbsoluteDate$"/0"$Level.Day;
	else
		AbsoluteDate = AbsoluteDate$"/"$Level.Day;

    return AbsoluteDate;
}
//
defaultproperties
{
}
