//============================================================================
// MapVoteDefaultSwitch
//============================================================================
//
class MapVoteDefaultSwitch extends Info;
//
var() MapVoteX MyMut;

var int ServerSwitchSecs;  // 12 = 1 minute
var int ServerEmptyTime;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	ServerEmptyTime = 0;
	SetTimer(1.0, True);
}

event Timer()
{
	if ( Level.Game.NumPlayers == 0 )
	{
		if ( ServerEmptyTime++ >= ServerSwitchSecs )
		{
			ServerEmptyTime = 0;
			MyMut.HandleDefaultSwitch(False);
			return;
		}
	}
	else
	{
		ServerEmptyTime=0;
	}
}

defaultproperties
{
}
