//============================================================================
// MapVoteClientWelcome
//============================================================================
//
class MapVoteClientWelcome extends Info config(MapVoteXM);

var MapVoteX MyMut;
//
struct LogoNames
{
    var bool   bUse;
    var bool   bShowFirst;
	var bool   bStretch;
	var string LogoName;
	var string SoundName;
};

var() config LogoNames WelcomeLogo;

var bool bInitialized;

function PostBeginPlay ()
{
    Super.PostBeginPlay();

    if ( !bInitialized )
    {
       bInitialized = true;
       SaveConfig();
    }
}

function string GetItem(int Item)
{
    local string sTemp;

    sTemp = "";

    if (Item == 1)
    {
        if (WelcomeLogo.bUse)
            sTemp = "1";
        else
            sTemp = "0";
    }
    else
    if (Item == 2)
    {
        if (WelcomeLogo.bShowFirst)
            sTemp = "1";
        else
            sTemp = "0";
    }
    else
    if (Item == 3)
    {
        if (WelcomeLogo.bStretch)
            sTemp = "1";
        else
            sTemp = "0";
    }
    else
    if (Item == 4)
        sTemp = WelcomeLogo.LogoName;
    else
    if (Item == 5)
        sTemp = WelcomeLogo.Soundname;

    return sTemp;
}

//
defaultproperties
{
}
