
class MapVoteIdleMesg expands LocalMessagePlus;

var color YellowColor;

static function color GetColor(optional int Switch,	optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2)
{
	return default.YellowColor;
}

static function float GetOffset(int Switch, float YL, float ClipY )
{
	return ClipY - YL*8 - 0.0833*ClipY;
}

static function string GetString(optional int Switch, optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2,	optional Object OptionalObject)
{
	switch (Switch)
	{
		case 0:
			return "<< You are about to be made a Spectator for being idle! >>";
			break;
		case 1:
			return "<< PLAY the game and MOVE or be Transfered to a Spectator! >>";
			break;
	}
	return "";
}

static simulated function ClientReceive(PlayerPawn P, optional int Switch, optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2, optional Object OptionalObject)
{
	Super.ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);

	P.ClientPlaySound(sound'Botpack.ChatSound.NewBeep',, true);
}

defaultproperties
{
      YellowColor=(R=255,G=255,B=0,A=0)
      FontSize=1
      bIsSpecial=True
      bIsConsoleMessage=False
      bFadeMessage=True
      Lifetime=5
      DrawColor=(R=0,G=128)
      YPos=196.000000
      bCenter=True
}
