//================================================================================
// MapVoteInfoWindow.
//================================================================================
//
class MapVoteWindowInfo extends UWindowPageWindow;

var MapVotePosition MVPOS;
var MapVoteGRI      MVGRI;

var color WhiteColor, GrayColor;

var UMenuLabelControl  lblKeyBind1;
var UMenuLabelControl  lblKeyBind2;

var UMenuLabelControl  lblVoteKey;
var UMenuRaisedButton  ButVoteKey;

var UMenuLabelControl  lblSmartKey;
var UMenuRaisedButton  ButSmartKey;

var UMenuLabelControl  LabelMesg;
var MapVoteEditControl AdmMessage;
var UWindowSmallButton SendButton;

var UWindowSmallButton QuitButton;
var MapVoteSmallButton BookButton;
var MapVoteSmallButton SortButton;
var UWindowSmallButton CloseButton;

var UMenuLabelControl   lblGames;
var UWindowComboControl GamesCombo;

var UMenuLabelControl   lblDefGame;
var UWindowComboControl DefGameCombo;

var UMenuLabelControl   lblGradient;
var UWindowComboControl StyleCombo;
var UWindowSmallButton  Submit1Button;
var UWindowSmallButton  Submit2Button;

var UMenuLabelControl     lblGrade;
var UWindowHSliderControl RSlider;
var UMenuLabelControl     RLabel;
var UWindowHSliderControl GSlider;
var UMenuLabelControl     GLabel;
var UWindowHSliderControl BSlider;
var UMenuLabelControl     BLabel;

var string RealKeyName[255];
var string OldVoteKey;
var string OldSmartKey;
var bool   bVote;
var bool   bSmart;
var bool   bAdmin;
var bool   bHookFire;
var bool   bInitialized;

var string Version;
var string sCode;

var string Servername;
var string ServerPort;
var string ServerIP;

var int   TickTock;
var int   GradStyle;
var color BackColor;

function Created ()
{
	Super.Created();

    if (GetPlayerOwner().bAdmin)
        bAdmin = GetPlayerOwner().bAdmin;
    else
        bAdmin = GetPlayerOwner().PlayerReplicationInfo.bAdmin;

    lblKeyBind1 = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 45, 259, 100, 16));
    lblKeyBind1.SetText("");
    lblKeyBind1.TextColor = WhiteColor;

    lblKeyBind2 = UMenuLabelControl(CreateControl(class'UMenuLabelControl',300, 259, 100, 16));
    lblKeyBind2.SetText("");
    lblKeyBind2.TextColor = WhiteColor;

    lblVoteKey = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 18, 225, 130, 16));
    lblVoteKey.TextColor = WhiteColor;
    lblVoteKey.SetText("Bind  MapVote  Menu");
    lblVoteKey.SetFont(F_Bold);

    ButVoteKey = UMenuRaisedButton(CreateControl(class'UMenuRaisedButton', 15, 240, 110, 1));
    ButVoteKey.bAcceptsFocus = False;
    ButVoteKey.Align = TA_Center;
    ButVoteKey.bIgnoreLDoubleClick = True;
    ButVoteKey.bIgnoreMDoubleClick = True;
    ButVoteKey.bIgnoreRDoubleClick = True;

    lblSmartKey = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 272, 225, 130, 16));
    lblSmartKey.TextColor = WhiteColor;
    lblSmartKey.SetText("Bind  SmartSB  Menu");
    lblSmartKey.SetFont(F_Bold);

    ButSmartKey = UMenuRaisedButton(CreateControl(class'UMenuRaisedButton', 270, 240, 110, 1));
    ButSmartKey.bAcceptsFocus = False;
    ButSmartKey.Align = TA_Center;
    ButSmartKey.bIgnoreLDoubleClick = True;
    ButSmartKey.bIgnoreMDoubleClick = True;
    ButSmartKey.bIgnoreRDoubleClick = True;

	SendButton=UWindowSmallButton(CreateControl(Class'UWindowSmallButton', 320, 273, 60, 20));
	SendButton.DownSound=Sound'GlassTink1';
	SendButton.Text="Send";
	SendButton.bDisabled=False;                                  // horzpos,vertpos,width,height

    QuitButton=UWindowSmallButton(CreateControl(Class'UWindowSmallButton',   15, 295, 110, 20));
	QuitButton.DownSound=Sound'GlassTink1';
	QuitButton.Text="Quit Game";
	QuitButton.bDisabled=False;

    BookButton=MapVoteSmallButton(CreateControl(Class'MapVoteSmallButton',  140, 295, 115, 20));
	BookButton.DownSound=Sound'GlassTink1';
	BookButton.Text="Add to Favorites";
	BookButton.bDisabled=True;

    CloseButton=UWindowSmallButton(CreateControl(Class'UWindowSmallButton', 272, 295, 110, 20));
	CloseButton.DownSound=Sound'GlassTink1';
	CloseButton.Text="Close";
	CloseButton.bDisabled=False;

    lblGradient = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 165, 225, 130, 16));
    lblGradient.TextColor = WhiteColor;
    lblGradient.SetText("Gradient Style");
    lblGradient.SetFont(F_Bold);

    if (bAdmin) //|| GetPlayerOwner().Level.NetMode == NM_Standalone)
    {
        SortButton=MapVoteSmallButton(CreateControl(Class'MapVoteSmallButton',  140, 295, 115, 20));
	    SortButton.DownSound=Sound'GlassTink1';
	    SortButton.Text="Sort Custom Games";
	    //SortButton.bDisabled=True;

        GamesCombo = UWindowComboControl(CreateControl(class'UWindowComboControl', 100, 125, 200, 20)); // must come here

        DefGameCombo = UWindowComboControl(CreateControl(class'UWindowComboControl', 100, 165, 200, 20)); // must come here
    }
    else
    {
        lblGrade = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 155, 143, 130, 16));
        lblGrade.TextColor = WhiteColor;
        lblGrade.SetText("    Gradient Color");

        RSlider = UWindowHSliderControl(CreateControl(class'UWindowHSliderControl',98, 159, 160, 30));
        RSlider.SliderWidth = 120;
        RSlider.bAcceptsFocus = False;
        RSlider.MinValue = 1;
        RSlider.MaxValue = 255;
        RSlider.Step = 1;
        RSlider.SetText("Red");
        RSlider.SetValue(128);
        RSlider.TextColor = WhiteColor;

        GSlider = UWindowHSliderControl(CreateControl(class'UWindowHSliderControl',98, 177, 160, 30));
        GSlider.SliderWidth = 120;
        GSlider.bAcceptsFocus = False;
        GSlider.SetRange(1,255,1);
        GSlider.MinValue = 1;
        GSlider.MaxValue = 255;
        GSlider.Step = 1;
        GSlider.SetText("Green");
        GSlider.SetValue(128);
        GSlider.TextColor = WhiteColor;

        BSlider = UWindowHSliderControl(CreateControl(class'UWindowHSliderControl',98, 195, 160, 30));
        BSlider.SliderWidth = 120;
        BSlider.bAcceptsFocus = False;
        BSlider.MinValue = 1;
        BSlider.MaxValue = 255;
        BSlider.Step = 1;
        BSlider.SetText("Blue");
        BSlider.SetValue(128);
        BSlider.TextColor = WhiteColor;
    }

	StyleCombo = UWindowComboControl(CreateControl(class'UWindowComboControl', 133, 240, 120, 20)); //60, 241, 186, 20
	StyleCombo.SetFont(F_Normal);
	StyleCombo.EditBoxWidth = 110;
	StyleCombo.SetEditable(False);
	StyleCombo.AddItem("Gradient 1");
	StyleCombo.AddItem("Gradient 2");

    LoadExistingKeys();

    // must go last
	AdmMessage=MapVoteEditControl(CreateControl(Class'MapVoteEditControl', 15, 273, 300, 16));
	AdmMessage.SetNumericOnly(False);
	AdmMessage.SetMaxLength(80);
	AdmMessage.SetValue("");
	AdmMessage.Align=TA_Left;
    AdmMessage.MVInfo = self;

    LabelMesg = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 115, 275, 240, 16));
    LabelMesg.SetText("Send the Admin a Message");
    LabelMesg.TextColor = GrayColor;

    SetAcceptsFocus();
    bInitialized = true;
}

function SetupAdminStuff()
{
    if (bAdmin)
    {

        lblGames = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 140, 110, 130, 16));
        lblGames.TextColor = WhiteColor;
        lblGames.SetText("Set bUse = True / False");
        lblGames.SetFont(F_Bold);

		GamesCombo.SetFont(F_Normal);
		GamesCombo.SetEditable(False);
		GamesCombo.SetButtons(false);
		GamesCombo.EditBoxWidth = 200;
		GamesCombo.EditBox.Value = " * = Active Game";

        lblDefGame = UMenuLabelControl(CreateControl(class'UMenuLabelControl', 155, 150, 130, 16));
        lblDefGame.TextColor = WhiteColor;
        lblDefGame.SetText("Set Default Game");
        lblDefGame.SetFont(F_Bold);

		DefGameCombo.SetFont(F_Normal);
		DefGameCombo.SetEditable(False);
		DefGameCombo.SetButtons(false);
		DefGameCombo.EditBoxWidth = 200;

   	    Submit1Button=UWindowSmallButton(CreateControl(Class'UWindowSmallButton', 170, 188, 50, 20)); // 278, 135
	    Submit1Button.DownSound=Sound'GlassTink1';
	    Submit1Button.Text="Submit";
	    Submit1Button.bDisabled=False;                                  // horzpos,vertpos,width,height

        GetGameNames();
    }
}

function GetGameNames()
{
    local string sTemp, sNum;
    local int i;

    if ( MVGRI == none )
    {
        foreach GetPlayerOwner().AllActors( class'MapVoteGRI', MVGRI )
        break;
    }

    for (i=0; i<200; i++)
    {
         sNum = "["$i$"] ";
         if (i < 10)
             sNum = "[0"$i$"] ";         // [01]  *
         sTemp = MVGRI.GameNames[i];
         sTemp = sNum@sTemp;
         GamesCombo.AddItem(sTemp);
    }
}

function Tick(float DeltaTime)
{
    if (AdmMessage.GetValue() != "")
        LabelMesg.SetText("");
}

function Notify (UWindowDialogControl C, byte E)
{

    Super.Notify(C,E);

    Switch(E)
    {
      case DE_Change:
      switch(C)
      {
	  case StyleCombo:
		 StyleChanged();
		 break;
      }
	  case DE_Click:
	  switch(C)
      {
      case ButVoteKey:
           bVote = True;
           bSmart = False;
           ButVoteKey.bDisabled = True;
           ButSmartKey.bDisabled = False;
           DisplayInfo(0);
           break;
      case ButSmartKey:
           bSmart = True;
           bVote = False;
           ButSmartKey.bDisabled = True;
           ButVoteKey.bDisabled = False;
           DisplayInfo(1);
           break;
      case Submit1Button:
           SubmitDefGame();
           ParentWindow.ParentWindow.Close();
           break;
      case SendButton:
		   if (AdmMessage.GetValue() != "" )
		   {
               GetPlayerOwner().ConsoleCommand("Mutate MapVoteX "$sCode$"AdminMessage "$AdmMessage.GetValue());
			   AdmMessage.SetValue("");
			   AdmMessage.FocusOtherWindow(SendButton);
           }
           break;
      case QuitButton:
           GetPlayerOwner().ConsoleCommand("Exit");
           break;
      case BookButton:
           if (BookButton.bDisabled == false)
               AddToFavourites();
           break;
      case SortButton:
           GetPlayerOwner().ConsoleCommand("Mutate MapVoteX "$sCode$"SortCustomGames");
           ParentWindow.ParentWindow.Close();
           break;
	  case RSlider:
	       SetBackGroundColor(0, RSlider.GetValue());
	       break;
	  case GSlider:
	       SetBackGroundColor(1, GSlider.GetValue());
	       break;
	  case BSlider:
	       SetBackGroundColor(2, BSlider.GetValue());
	       break;
      case CloseButton:
           ParentWindow.ParentWindow.Close();
           break;
      }
      break;
      case 7:
		   if ( AdmMessage.GetValue() != "" )
		   {
			   GetPlayerOwner().ConsoleCommand("Mutate MapVoteX "$sCode$"AdminMessage "$AdmMessage.GetValue());
			   AdmMessage.SetValue("");
			   AdmMessage.FocusOtherWindow(SendButton);
		   }
		   break;
		default:
    }
}

function SubmitDefGame()
{
	local string sDefGame, sGame;

	sGame = GamesCombo.GetValue();
	sGame = Mid(sGame, 6);             // [xx]  *
	if (Left(sGame, 1) == "*")
	    sGame = Mid(sGame, 1);
	if (sGame == "")
	    sGame = "None";

	sDefGame = DefGameCombo.GetValue();
	if (sDefGame == "")
	    sDefGame = "None";

	GetPlayerOwner().ConsoleCommand("Mutate MapVoteX "$sCode$"AdminDefaultGame "$sGame$","$sDefGame);
}

function SetDefGame(string sDefg)
{
    local int i;

    i = DefGameCombo.FindItemIndex(sDefg);
    if (i > -1)
        DefGameCombo.SetSelectedIndex(i);
}

function StyleChanged()
{
	GradStyle = StyleCombo.GetSelectedIndex();
	MVPOS.SetStyle(GradStyle);
}

function SetBackGroundColor(int sL, int iColr)
{
    if (sL == 0)
        BackColor.R = iColr;
    else
    if (sL == 1)
        BackColor.G = iColr;
    else
    if (sL == 2)
        BackColor.B = iColr;

    if (MVPOS != None)
        MVPOS.SetBackGround(BackColor);
}

simulated function AddToFavourites()
{
	local int i, j, k;

    j = class'UBrowserFavoritesFact'.default.FavoriteCount;
    if (j >= 99)
    {
        GetPlayerOwner().ClientMessage("Your UT Favourites is currently Full!");
        return;
    }

	for (i=0; i<j; i++) // check to see if already in favs
	{
		k = Instr(class'UBrowserFavoritesFact'.default.Favorites[i],"\\"$ServerIP$"\\"$ServerPort);
		if (k >= 0)
		{
		    GetPlayerOwner().ClientMessage("This server is already in your UT Favourites");
		    return;
	    }
	}

	class'UBrowserFavoritesFact'.default.Favorites[j] = ServerName$"\\"$ServerIP$"\\"$ServerPort$"\\False";
	class'UBrowserFavoritesFact'.default.FavoriteCount = j + 1;
	class'UBrowserFavoritesFact'.SaveConfig();
	class'UBrowserFavoritesFact'.static.StaticSaveConfig();
	GetPlayerOwner().ClientMessage("This server has been added to your UT Favourites");
}

function DisplayInfo(int Typ)
{
  if (Typ == 0)
      lblKeyBind1.SetText("Press a Key");
  else
      lblKeyBind2.SetText("Press a Key");
}

function LoadExistingKeys()
{
    local int i, j;
    local string KeyName;
    local string Alias;

    if (MVPOS == none)
    {
        foreach GetPlayerOwner().AllActors( class'MapVotePosition', MVPOS )
        break;
    }

    bHookFire = MVPOS.bHookFireDone;
    GradStyle = MVPOS.GradientStyle;
    BackColor = MVPOS.BackGroundColor;

    if (!bAdmin)
    {
        RSlider.SetValue(BackColor.R);
        GSlider.SetValue(BackColor.G);
        BSlider.SetValue(BackColor.B);
    }

    j = 0;
    for (i=0; i<255; i++)
    {
         KeyName = GetPlayerOwner().ConsoleCommand( "KEYNAME "$i );
         RealKeyName[i] = KeyName;
         if ( KeyName != "" )
         {
             Alias = GetPlayerOwner().ConsoleCommand( "KEYBINDING "$KeyName );
             if ( Caps(Alias) == "MUTATE MAPVOTEX VOTEMENU")
             {
                ButVoteKey.SetText(KeyName);
                OldVoteKey = KeyName;
             }

             if ( Caps(Alias) == "MUTATE SMARTSB MENU")
             {
                ButSmartKey.SetText(KeyName);
                OldSmartKey = KeyName;
             }

             if (!bHookFire)
             {
                 if (KeyName ~= "LeftMouse" && Caps(Alias) == "FIRE")
                 {
                     GetPlayerOwner().ConsoleCommand("SET Input "$KeyName$" Fire|HookFire");
                     j++;
                 }
                 if (KeyName ~= "RightMouse" && Caps(Alias) == "ALTFIRE")
                 {
                     GetPlayerOwner().ConsoleCommand("SET Input "$KeyName$" AltFire|HookFire");
                     j++;
                 }
             }
         }
    }

    if (j > 0)
    {
        bHookFire = true;
        MVPOS.SetHook(bHookFire);
    }
}

function KeyDown( int Key, float X, float Y )
{
    ProcessKey(Key, RealKeyName[Key]);

    bVote  = False;
    ButVoteKey.bDisabled = False;

    bSmart = False;
    ButSmartKey.bDisabled = False;

    lblKeyBind1.SetText("");
    lblKeyBind2.SetText("");

    LabelMesg.SetText("");
    ParentWindow.KeyDown(Key, X, Y);
}

function ProcessKey( int KeyNo, string KeyName )
{

     if ( (KeyName == "") || (KeyName == "Escape")
          || ((KeyNo >= 0x70 ) && (KeyNo <= 0x75))  // function keys f1 - f6
          || ((KeyNo >= 0x78 ) && (KeyNo <= 0x7b))  // function keys f9 - f12
          || ((KeyNo >= 0x30 ) && (KeyNo <= 0x39))) // number keys  0 - 9
     {
          return;
     }

     if (bVote)
     {
        SetVoteKey(KeyNo, KeyName);
        return;
     }

     if (bSmart)
     {
        SetSmartKey(KeyNo, KeyName);
        return;
     }
}

function SetVoteKey(int KeyNo, string KeyName)
{
   GetPlayerOwner().ConsoleCommand("SET Input "$KeyName$" MUTATE MAPVOTEX VOTEMENU");
   ButVoteKey.SetText(KeyName);

   if (OldVoteKey != "" && OldVoteKey != KeyName) // clear the old key binding
   {
      GetPlayerOwner().ConsoleCommand("SET Input "$OldVoteKey);
   }
}

function SetSmartKey(int KeyNo, string KeyName)
{
   GetPlayerOwner().ConsoleCommand("SET Input "$KeyName$" MUTATE SMARTSB MENU");
   ButSmartKey.SetText(KeyName);
   if (OldSmartKey != "" && OldSmartKey != KeyName) // clear the old key binding
   {
      GetPlayerOwner().ConsoleCommand("SET Input "$OldSmartKey);
   }
}

function DrawGradient(Canvas C)
{
    if (GradStyle == 0)
        DrawStretchedTexture(C,0.00,0.00,WinWidth,WinHeight,Texture'Grad1');
    else
    if (GradStyle == 1)
        DrawStretchedTexture(C,0.00,0.00,WinWidth,WinHeight,Texture'Grad2');

    if (StyleCombo.GetSelectedIndex() != GradStyle)
        StyleCombo.SetSelectedIndex(GradStyle);
}

function Paint (Canvas C, float MouseX, float MouseY)
{
    local Texture MVX;

	Super.Paint(C,MouseX,MouseY);

    MVX = Texture'mvx1';

    C.DrawColor = BackColor;
    DrawGradient(C);

    C.DrawColor  = WhiteColor;
    C.Style = GetPlayerOwner().ERenderStyle.STY_Translucent;
    C.SetPos( C.ClipX / 2 - MVX.Usize / 2 - 4, 7);
    C.DrawIcon( MVX, 1.0 );
    C.Style = GetPlayerOwner().ERenderStyle.STY_Normal;

    C.Font = Root.Fonts[F_Bold];

    ClipText(C, 158, 33, "Version "$Version);

    C.DrawColor = WhiteColor;

    C.Font = Root.Fonts[F_Normal];
    ClipText(C, 155,   50,     "Coding by ProAsm");              // 138

    C.Font = Root.Fonts[F_Normal];
    ClipText(C, 145,   65,           "http://www.proasm.com");   // 176

    ClipText(C, 155,   80,   "Creativity by no0ne");         // 140

    if (!bAdmin)
    {
        ClipText(C, 152,   95,   "Special thanks to BDB");          // 145
        C.Font = Root.Fonts[F_Normal];
        ClipText(C, 142,   110,   "Testing by no0ne | Jojoza");  // 177
    }

    C.Font = Root.Fonts[F_Normal];
    C.DrawColor = WhiteColor;
}

function Close (optional bool bByParent)
{
	Super.Close(bByParent);
}

defaultproperties
{
    GrayColor=(R=100,G=100,B=100)
    WhiteColor=(R=255,G=255,B=255)
}
